### Struct

# Ide MarkedContent

#### Description

    struct IdeMarkedContent {
      /* No available fields */
    }

No description available.

#### Constructors

###### ide_marked_content_new

Creates a new `IdeMarkedContent` using the bytes provided.

Available since: 3.32

###### ide_marked_content_new_from_data

Creates a new `IdeMarkedContent` from the provided data.

Available since: 3.32

###### ide_marked_content_new_plaintext

Creates a new `IdeMarkedContent` of type `IDE_MARKED_KIND_PLAINTEXT` with the contents of `string`.

Available since: 3.32

#### Instance methods

###### ide_marked_content_as_string

Gets the contents of the marked content as a C string.

Available since: 3.32

###### ide_marked_content_get_bytes

Gets the bytes for the marked content.

Available since: 3.32

###### ide_marked_content_get_kind

Gets the kind of markup that `self` contains.

Available since: 3.32

###### ide_marked_content_ref

Increments the reference count of `self` by one.

Available since: 3.32

###### ide_marked_content_unref

Decrements the reference count of `self` by one.

Available since: 3.32